## org.h2.mvstore.type
Class ObjectType.LongType

    java.lang.Object
      org.h2.mvstore.type.ObjectType.LongType

All Implemented Interfaces:
  DataType

Enclosing class:
  ObjectType

    public class ObjectType.LongType

extends java.lang.Object

The type for long objects.

Field Summary
`protected ObjectType` `base`
`protected int` `typeId`

Method Summary
`java.lang.String` `asString()` Get the stable string representation that is used to build this data type.
`int` `compare(java.lang.Object aObj, java.lang.Object bObj)` Compare two keys.
`int` `getMaxLength(java.lang.Object obj)` Get the maximum length in bytes used to store an object.
`int` `getMemory(java.lang.Object obj)` Estimate the used memory in bytes.
`java.lang.Object` `read(java.nio.ByteBuffer buff)` Read an object.
`java.lang.Object` `read(java.nio.ByteBuffer buff, int tag)` Read an object from the buffer.
`void` `write(java.nio.ByteBuffer buff, java.lang.Object obj)` Write the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    protected final ObjectType base

### typeId

    protected final int typeId

Method Detail

### compare

    public int compare(java.lang.Object aObj,
                       java.lang.Object bObj)

  Description copied from interface: `DataType`
  Compare two keys.

  Specified by:
    `compare` in interface `DataType`
  Parameters:
    `aObj` - the first key
    `bObj` - the second key
  Returns:
    -1 if the first key is smaller, 1 if larger, and 0 if equal

### getMemory

    public int getMemory(java.lang.Object obj)

  Description copied from interface: `DataType`
  Estimate the used memory in bytes.

  Specified by:
    `getMemory` in interface `DataType`
  Parameters:
    `obj` - the object
  Returns:
    the used memory

### getMaxLength

    public int getMaxLength(java.lang.Object obj)

  Description copied from interface: `DataType`
  Get the maximum length in bytes used to store an object. In many cases, this method can be faster than calculating the exact length.

  Specified by:
    `getMaxLength` in interface `DataType`
  Parameters:
    `obj` - the object
  Returns:
    the maximum length

### write

    public void write(java.nio.ByteBuffer buff,
                      java.lang.Object obj)

  Description copied from interface: `DataType`
  Write the object.

  Specified by:
    `write` in interface `DataType`
  Parameters:
    `buff` - the target buffer
    `obj` - the value

### read

    public java.lang.Object read(java.nio.ByteBuffer buff,
                                 int tag)

  Read an object from the buffer.

  Parameters:
    `buff` - the buffer
    `tag` - the first byte of the object (usually the type)
  Returns:
    the read object

### read

    public final java.lang.Object read(java.nio.ByteBuffer buff)

  Description copied from interface: `DataType`
  Read an object.

  Specified by:
    `read` in interface `DataType`
  Parameters:
    `buff` - the source buffer
  Returns:
    the object

### asString

    public java.lang.String asString()

  Description copied from interface: `DataType`
  Get the stable string representation that is used to build this data type.

  To avoid conflict with the default factory, the returned string should start with the package name of the type factory.

  Specified by:
    `asString` in interface `DataType`
  Returns:
    the string representation